s10_level_hints.levels["Level 8"] = function()
	return
	{
		miniscenes
		({
			level08_miniscene_holes = 
			{
				miniscene("area_holes"),
			}
		}),
		
		-- найти 5 магических бутыльков
		take("bottle_blue"),
		take("bottle_red"),
		take("bottle_yellow"),
		click("area_curtain01"),
		take("bottle_green"),
		click("area_stone01"),
		take("bottle_magenta"),
		
		-- приготовить 6-ой магический бутылек
		take("cup"),
		click("alchemist_bowl", "cup"),
		take("bottle_water"),
		click("alchemist_bowl", "bottle_water"),
		take("bottle_empty"),
		click("alchemist_bowl", "bottle_empty"),
		
		-- заполнить отверстия жидкостью
		on_scene("level08_miniscene_holes",
		{
			click("area_red_part", "bottle_red"),
			click("area_yellow_part", "bottle_yellow"),
			click("area_grey_part", "bottle_grey"),
			click("area_blue_part", "bottle_blue"),
			click("area_magenta_part", "bottle_magenta"),
			click("area_green_part", "bottle_green")
		}),
		
		-- собрать медальон
		take("amulet_part01"),
		take("amulet_part02"),
		click("area_big_bowl01"),
		take("area_knife", "knife"),
		click("amulet_part03", "knife"),
		
		-- открыть хранилище
		IF(state_in_inv("amulet", "amulet03"), click("amulet_place", "amulet")),
		
		take("amulet_time")
	}	
end
